/** This file is part of amemiya.
 *
 *  amemiya is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  amemiya is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with amemiya.  If not, see <http://www.gnu.org/licenses/>.
**/

#ifndef AM_AUDIOFRAME_H_
#define AM_AUDIOFRAME_H_

#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>

typedef struct AM_AudioFrame_Struct *AM_AudioFrame;
struct AM_AudioFrame_Struct{
	uint8_t *data;
	int linesize;
	int hz;
	int samplerate;
	void (* free)(const AM_AudioFrame a);
};

AM_AudioFrame newAudioFrame();
int am_printAudioFrame(uint8_t *outbuf, int outsize, FILE *outFile);

#endif /* AM_AUDIOFRAME_H_ */
