#!/usr/bin/perl
require Imager;

sub getImage{
	my ($filename) = @_;
	my $img = Imager->new();
	$img->read(file=>"$filename") or die "Cannot read image for statid\n";
	return $img;
}

sub addTextToImg{
	my ($img,$txt1,$txt2,$txt3) = @_;
	my $path_to_verdana = "/Library/Fonts/Verdana.ttf";
	my $font = Imager::Font->new(file=>$path_to_verdana);
	statidLineWrite($img,$font,$txt1,$img->getheight/2,36,'white');
	statidLineWrite($img,$font,$txt2,360,36,'white');
	statidLineWrite($img,$font,$txt3,400,36,'white');
}

sub statidLineWrite{
	my ($img,$font,$line,$yPos,$size,$color) = @_;
	$font->align(
		string=>$line,
		aa=>1,
		size=>$size,
		color=>$color,
		x=>$img->getwidth/2,
		y=>$yPos,
		halign=>'center',
		valign=>'center',
		image=>$img
	);
}

my $img = getImage("../ntsc_d1.tga");
$img->write(file=>"./test.raw", tye=>"raw");
